[[deqp]]
deqp = "/data/deqp/modules/gles2/deqp-gles2"
caselists = ["/data/deqp/mustpass/gles2-master.txt"]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
version_check = "GL ES 3.2.*git"
renderer_check = "Intel.*HSW GT2"

[[deqp]]
deqp = "/data/deqp/modules/gles3/deqp-gles3"
caselists = ["/data/deqp/mustpass/gles3-master.txt"]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
version_check = "GL ES 3.2.*git"
renderer_check = "Intel.*HSW GT2"

[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
version_check = "GL ES 3.2.*git"
renderer_check = "Intel.*HSW GT2"

[[deqp]]
deqp = "/data/deqp/external/openglcts/modules/glcts"
caselists = [
        "/data/deqp/mustpass/gles2-khr-master.txt",
        "/data/deqp/mustpass/gles3-khr-master.txt",
        "/data/deqp/mustpass/gles31-khr-master.txt"
]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]

[[deqp]]
deqp = "/data/deqp/external/openglcts/modules/glcts"
caselists = ["/data/deqp/mustpass/gl46-master.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]

[[piglit]]
piglit_folder = "/piglit"
# We use "gpu" to skip running glslparser tests, with the assumption that
# they're covered by the llvmpipe run.
profile = "gpu"
process_isolation = true
  [piglit.env]
  PIGLIT_PLATFORM = "gbm"
